# Generated by Django 3.0.8 on 2020-08-04 13:56

import django.db.models.deletion
import localflavor.us.models
from django.db import migrations, models


class Migration(migrations.Migration):

    dependencies = [
        ("taxtea", "0002_auto_20200421_2250"),
    ]

    operations = [
        migrations.AlterField(
            model_name="state",
            name="abbreviation",
            field=localflavor.us.models.USStateField(
                help_text="Abbreviation of State -> NY",
                max_length=2,
                primary_key=True,
                serialize=False,
            ),
        ),
        migrations.AlterField(
            model_name="state",
            name="collects_saas_tax",
            field=models.BooleanField(
                default=False, help_text="If the State collects SaaS Tax"
            ),
        ),
        migrations.AlterField(
            model_name="state",
            name="tax_base",
            field=models.CharField(
                choices=[
                    ("ORIGIN", "Origin-based"),
                    ("DESTINATION", "Destination-based"),
                ],
                default="DESTINATION",
                help_text="SaaS Tax Collection Method",
                max_length=30,
            ),
        ),
        migrations.AlterField(
            model_name="zipcode",
            name="code",
            field=models.CharField(
                help_text="The 5 digit Zip Code",
                max_length=9,
                primary_key=True,
                serialize=False,
            ),
        ),
        migrations.AlterField(
            model_name="zipcode",
            name="last_checked",
            field=models.DateTimeField(
                blank=True,
                help_text="DateTime of the last time the tax rate was refreshed",
                null=True,
            ),
        ),
        migrations.AlterField(
            model_name="zipcode",
            name="state",
            field=models.ForeignKey(
                help_text="Foreign Key to the State the ZipCode is in",
                on_delete=django.db.models.deletion.CASCADE,
                related_name="zipcodes",
                to="taxtea.State",
            ),
        ),
        migrations.AlterField(
            model_name="zipcode",
            name="tax_rate",
            field=models.DecimalField(
                blank=True,
                decimal_places=4,
                help_text="Tax Rate for the given ZipCode -> 0.0625",
                max_digits=5,
                null=True,
            ),
        ),
    ]
